System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the different display options for controls.

mode displays the control as a single row. If the user enters text that exceeds the physical size of the control, the text will scroll horizontally.

mode displays the height of the based on the property, and allows data entry on multiple lines. The text will automatically wrap if the property is set to true. If the user enters text that exceeds the physical size of the , the text will scroll accordingly and scroll bars will appear.

The behavior of mode is similar to mode except that all characters entered in the control are masked and are not saved in view state.

The remaining options correspond to type attribute values for the input element in the HTML5 specification.

Specifies the behavior mode of the text box.

- Field
  System.Web.UI.WebControls.TextBoxMode To be added

  Represents multiline entry mode.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TextBoxMode To be added

  Represents password entry mode.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TextBoxMode To be added

  Represents single-line entry mode.

  1.0.5000.0
  2.0.0.0